<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
	<head>
		<meta http-equiv="content-type" content="text/html; charset=utf-8" />
		<meta name="generator" content="JsDoc Toolkit" />
		
		<title>JsDoc Reference - Cluster</title>

		<style type="text/css">
			/* default.css */
body
{
	font: 12px "Lucida Grande", Tahoma, Arial, Helvetica, sans-serif;
	width: 800px;
}

.header
{
	clear: both;
	background-color: #ccc;
	padding: 8px;
}

h1
{
	font-size: 150%;
	font-weight: bold;
	padding: 0;
	margin: 1em 0 0 .3em;
}

hr
{
	border: none 0;
	border-top: 1px solid #7F8FB1;
	height: 1px;
}

pre.code
{
	display: block;
	padding: 8px;
	border: 1px dashed #ccc;
}

#index
{
	margin-top: 24px;
	float: left;
	width: 160px;
	position: absolute;
	left: 8px;
	background-color: #F3F3F3;
	padding: 8px;
}

#content
{
	margin-left: 190px;
	width: 600px;
}

.classList
{
	list-style-type: none;
	padding: 0;
	margin: 0 0 0 8px;
	font-family: arial, sans-serif;
	font-size: 1em;
	overflow: auto;
}

.classList li
{
	padding: 0;
	margin: 0 0 8px 0;
}

.summaryTable { width: 100%; }

h1.classTitle
{
	font-size:170%;
	line-height:130%;
}

h2 { font-size: 110%; }
caption, div.sectionTitle
{
	background-color: #7F8FB1;
	color: #fff;
	font-size:130%;
	text-align: left;
	padding: 2px 6px 2px 6px;
	border: 1px #7F8FB1 solid;
}

div.sectionTitle { margin-bottom: 8px; }
.summaryTable thead { display: none; }

.summaryTable td
{
	vertical-align: top;
	padding: 4px;
	border-bottom: 1px #7F8FB1 solid;
	border-right: 1px #7F8FB1 solid;
}

/*col#summaryAttributes {}*/
.summaryTable td.attributes
{
	border-left: 1px #7F8FB1 solid;
	width: 140px;
	text-align: right;
}

td.attributes, .fixedFont
{
	line-height: 15px;
	color: #002EBE;
	font-family: "Courier New",Courier,monospace;
	font-size: 13px;
}

.summaryTable td.nameDescription
{
	text-align: left;
	font-size: 13px;
	line-height: 15px;
}

.summaryTable td.nameDescription, .description
{
	line-height: 15px;
	padding: 4px;
	padding-left: 4px;
}

.summaryTable { margin-bottom: 8px; }

ul.inheritsList
{
	list-style: square;
	margin-left: 20px;
	padding-left: 0;
}

.detailList {
	margin-left: 20px; 
	line-height: 15px;
}
.detailList dt { margin-left: 20px; }

.detailList .heading
{
	font-weight: bold;
	padding-bottom: 6px;
	margin-left: 0;
}

.light, td.attributes, .light a:link, .light a:visited
{
	color: #777;
	font-style: italic;
}

.fineprint
{
	text-align: right;
	font-size: 10px;
}
		</style>
	</head>

	<body>
<!-- ============================== header ================================= -->	
		<!-- begin static/header.html -->
		<div id="header">
</div>
		<!-- end static/header.html -->

<!-- ============================== classes index ============================ -->
		<div id="index">
			<!-- begin publish.classesIndex -->
			<div align="center"><a href="../index.html">Class Index</a>
| <a href="../files.html">File Index</a></div>
<hr />
<h2>Classes</h2>
<ul class="classList">
	
	<li><i><a href="../symbols/_global_.html">_global_</a></i></li>
	
	<li><a href="../symbols/Cluster.html">Cluster</a></li>
	
	<li><a href="../symbols/Cluster.Node.html">Cluster.Node</a></li>
	
	<li><a href="../symbols/Cluster.Position.html">Cluster.Position</a></li>
	
	<li><a href="../symbols/Cluster.Process.html">Cluster.Process</a></li>
	
</ul>
<hr />
			<!-- end publish.classesIndex -->
		</div>
		
		<div id="content">
<!-- ============================== class title ============================ -->
			<h1 class="classTitle">
				
				Namespace Cluster
			</h1>

<!-- ============================== class summary ========================== -->			
			<p class="description">
				
				
			
				Holds the functionality of the library
				
				
					<br /><i>Defined in: </i> <a href="../symbols/src/_Users_julien_Sites_glge_js_cluster.js.html">cluster.js</a>.
				
			</p>

<!-- ============================== constructor summary ==================== -->			
			
			<table class="summaryTable" cellspacing="0" summary="A summary of the constructor documented in the class Cluster.">
				<caption>Namespace Summary</caption>
				<thead>
					<tr>
						<th scope="col">Constructor Attributes</th>
						<th scope="col">Constructor Name and Description</th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td class="attributes">&nbsp;</td>
						<td class="nameDescription" >
							<div class="fixedFont">
								<b><a href="../symbols/Cluster.html#constructor">Cluster</a></b>
							</div>
							<div class="description"></div>
						</td>
					</tr>
				</tbody>
			</table>
			

<!-- ============================== properties summary ===================== -->
			
				
				
				<table class="summaryTable" cellspacing="0" summary="A summary of the fields documented in the class Cluster.">
					<caption>Field Summary</caption>
					<thead>
						<tr>
							<th scope="col">Field Attributes</th>
							<th scope="col">Field Name and Description</th>
						</tr>
					</thead>
					<tbody>
					
						<tr>
							<td class="attributes">&lt;static&gt; &nbsp;</td>
							<td class="nameDescription">
								<div class="fixedFont">
								Cluster.<b><a href="../symbols/Cluster.html#.allNodes">allNodes</a></b>
								</div>
								<div class="description">An array that contains all the nodes</div>
							</td>
						</tr>
					
						<tr>
							<td class="attributes">&lt;static&gt; &nbsp;</td>
							<td class="nameDescription">
								<div class="fixedFont">
								Cluster.<b><a href="../symbols/Cluster.html#.allProcesses">allProcesses</a></b>
								</div>
								<div class="description">An array that contains all the processes</div>
							</td>
						</tr>
					
						<tr>
							<td class="attributes">&lt;static&gt; &nbsp;</td>
							<td class="nameDescription">
								<div class="fixedFont">
								Cluster.<b><a href="../symbols/Cluster.html#.databaseCall">databaseCall</a></b>
								</div>
								<div class="description">The current number of database call.</div>
							</td>
						</tr>
					
						<tr>
							<td class="attributes">&lt;static&gt; &lt;constant&gt; &nbsp;</td>
							<td class="nameDescription">
								<div class="fixedFont">
								Cluster.<b><a href="../symbols/Cluster.html#.databaseCallFrequency">databaseCallFrequency</a></b>
								</div>
								<div class="description">The frequency on which the database will be called</div>
							</td>
						</tr>
					
						<tr>
							<td class="attributes">&lt;static&gt; &lt;constant&gt; &nbsp;</td>
							<td class="nameDescription">
								<div class="fixedFont">
								Cluster.<b><a href="../symbols/Cluster.html#.duration">duration</a></b>
								</div>
								<div class="description">The duration of an animation (for example during a migration
when you see the process moving from one node to another)</div>
							</td>
						</tr>
					
						<tr>
							<td class="attributes">&lt;static&gt; &lt;constant&gt; &nbsp;</td>
							<td class="nameDescription">
								<div class="fixedFont">
								Cluster.<b><a href="../symbols/Cluster.html#.nodeNb">nodeNb</a></b>
								</div>
								<div class="description">Number of nodes present in the cluster</div>
							</td>
						</tr>
					
						<tr>
							<td class="attributes">&lt;static&gt; &lt;constant&gt; &nbsp;</td>
							<td class="nameDescription">
								<div class="fixedFont">
								Cluster.<b><a href="../symbols/Cluster.html#.nodeRadius">nodeRadius</a></b>
								</div>
								<div class="description">Radius of the sphere on which the nodes will be positionate.</div>
							</td>
						</tr>
					
						<tr>
							<td class="attributes">&lt;static&gt; &lt;constant&gt; &nbsp;</td>
							<td class="nameDescription">
								<div class="fixedFont">
								Cluster.<b><a href="../symbols/Cluster.html#.nodeSize">nodeSize</a></b>
								</div>
								<div class="description">Size of a node sphere (scale = 1)</div>
							</td>
						</tr>
					
						<tr>
							<td class="attributes">&lt;static&gt; &lt;constant&gt; &nbsp;</td>
							<td class="nameDescription">
								<div class="fixedFont">
								Cluster.<b><a href="../symbols/Cluster.html#.processRadius">processRadius</a></b>
								</div>
								<div class="description">Radius of the maximum sphere on which the processes will
move around the nodes (depends on theCPU consumption of the process)</div>
							</td>
						</tr>
					
						<tr>
							<td class="attributes">&lt;static&gt; &lt;constant&gt; &nbsp;</td>
							<td class="nameDescription">
								<div class="fixedFont">
								Cluster.<b><a href="../symbols/Cluster.html#.processSize">processSize</a></b>
								</div>
								<div class="description">Size of a process sphere (scale = 0.1)</div>
							</td>
						</tr>
					
						<tr>
							<td class="attributes">&lt;static&gt; &lt;constant&gt; &nbsp;</td>
							<td class="nameDescription">
								<div class="fixedFont">
								Cluster.<b><a href="../symbols/Cluster.html#.sphereMesh">sphereMesh</a></b>
								</div>
								<div class="description">Name of the mesh for the sphere form (used to represent the
nodes and the processes) defined in the file load.xml</div>
							</td>
						</tr>
					
						<tr>
							<td class="attributes">&lt;static&gt; &lt;constant&gt; &nbsp;</td>
							<td class="nameDescription">
								<div class="fixedFont">
								Cluster.<b><a href="../symbols/Cluster.html#.sphereSize">sphereSize</a></b>
								</div>
								<div class="description">Size of a sphere when draw at a scale of 1</div>
							</td>
						</tr>
					
					</tbody>
				</table>
				
				
				
			

<!-- ============================== methods summary ======================== -->
			
				
				
				<table class="summaryTable" cellspacing="0" summary="A summary of the methods documented in the class Cluster.">
					<caption>Method Summary</caption>
					<thead>
						<tr>
							<th scope="col">Method Attributes</th>
							<th scope="col">Method Name and Description</th>
						</tr>
					</thead>
					<tbody>
					
						<tr>
							<td class="attributes">&lt;static&gt; &nbsp;</td>
							<td class="nameDescription">
								<div class="fixedFont">Cluster.<b><a href="../symbols/Cluster.html#.getNodeDescriptionFromId">getNodeDescriptionFromId</a></b>(id)
								</div>
								<div class="description">function that will print the description of a node or a process</div>
							</td>
						</tr>
					
						<tr>
							<td class="attributes">&lt;static&gt; &nbsp;</td>
							<td class="nameDescription">
								<div class="fixedFont">Cluster.<b><a href="../symbols/Cluster.html#.Log">Log</a></b>(text)
								</div>
								<div class="description">function that log things you want to log</div>
							</td>
						</tr>
					
						<tr>
							<td class="attributes">&lt;static&gt; &nbsp;</td>
							<td class="nameDescription">
								<div class="fixedFont">Cluster.<b><a href="../symbols/Cluster.html#.Print">Print</a></b>(title, text)
								</div>
								<div class="description">function that will print to screen a ttile and a text, usually used to
to display the caracteristics of a node</div>
							</td>
						</tr>
					
						<tr>
							<td class="attributes">&lt;static&gt; &nbsp;</td>
							<td class="nameDescription">
								<div class="fixedFont">Cluster.<b><a href="../symbols/Cluster.html#.render">render</a></b>(start, now)
								</div>
								<div class="description">function called each time that the scene is redraw</div>
							</td>
						</tr>
					
					</tbody>
				</table>
				
				
				
			
<!-- ============================== events summary ======================== -->
			

<!-- ============================== constructor details ==================== -->		
			
			<div class="details"><a name="constructor"> </a>
				<div class="sectionTitle">
					Namespace Detail
				</div>
				
				<div class="fixedFont">
						<b>Cluster</b>
				</div>
				
				<div class="description">
					
					
				</div>
				
				
				
				
					
					
					
					
					
					
					

			</div>
			

<!-- ============================== field details ========================== -->		
			
				<div class="sectionTitle">
					Field Detail
				</div>
				
					<a name=".allNodes"> </a>
					<div class="fixedFont">&lt;static&gt; 
					
					<span class="light">{Array}</span>
					<span class="light">Cluster.</span><b>allNodes</b>
					
					</div>
					<div class="description">
						An array that contains all the nodes
						
						
					</div>
					
					

						
						
						
						

					<hr />
				
					<a name=".allProcesses"> </a>
					<div class="fixedFont">&lt;static&gt; 
					
					<span class="light">{Array}</span>
					<span class="light">Cluster.</span><b>allProcesses</b>
					
					</div>
					<div class="description">
						An array that contains all the processes
						
						
					</div>
					
					

						
						
						
						

					<hr />
				
					<a name=".databaseCall"> </a>
					<div class="fixedFont">&lt;static&gt; 
					
					<span class="light">{Integer}</span>
					<span class="light">Cluster.</span><b>databaseCall</b>
					
					</div>
					<div class="description">
						The current number of database call. It's used to get the
next records in the database.
						
						
					</div>
					
					

						
						
						
						

					<hr />
				
					<a name=".databaseCallFrequency"> </a>
					<div class="fixedFont">&lt;static&gt; &lt;constant&gt; 
					
					
					<span class="light">Cluster.</span><b>databaseCallFrequency</b>
					
					</div>
					<div class="description">
						The frequency on which the database will be called
						
						
					</div>
					
					

						
						
						
						

					<hr />
				
					<a name=".duration"> </a>
					<div class="fixedFont">&lt;static&gt; &lt;constant&gt; 
					
					
					<span class="light">Cluster.</span><b>duration</b>
					
					</div>
					<div class="description">
						The duration of an animation (for example during a migration
when you see the process moving from one node to another)
						
						
					</div>
					
					

						
						
						
						

					<hr />
				
					<a name=".nodeNb"> </a>
					<div class="fixedFont">&lt;static&gt; &lt;constant&gt; 
					
					
					<span class="light">Cluster.</span><b>nodeNb</b>
					
					</div>
					<div class="description">
						Number of nodes present in the cluster
						
						
					</div>
					
					

						
						
						
						

					<hr />
				
					<a name=".nodeRadius"> </a>
					<div class="fixedFont">&lt;static&gt; &lt;constant&gt; 
					
					
					<span class="light">Cluster.</span><b>nodeRadius</b>
					
					</div>
					<div class="description">
						Radius of the sphere on which the nodes will be positionate.
Center of the node is (0,0,0)
						
						
					</div>
					
					

						
						
						
						

					<hr />
				
					<a name=".nodeSize"> </a>
					<div class="fixedFont">&lt;static&gt; &lt;constant&gt; 
					
					
					<span class="light">Cluster.</span><b>nodeSize</b>
					
					</div>
					<div class="description">
						Size of a node sphere (scale = 1)
						
						
					</div>
					
					

						
						
						
						

					<hr />
				
					<a name=".processRadius"> </a>
					<div class="fixedFont">&lt;static&gt; &lt;constant&gt; 
					
					
					<span class="light">Cluster.</span><b>processRadius</b>
					
					</div>
					<div class="description">
						Radius of the maximum sphere on which the processes will
move around the nodes (depends on theCPU consumption of the process)
						
						
					</div>
					
					

						
						
						
						

					<hr />
				
					<a name=".processSize"> </a>
					<div class="fixedFont">&lt;static&gt; &lt;constant&gt; 
					
					
					<span class="light">Cluster.</span><b>processSize</b>
					
					</div>
					<div class="description">
						Size of a process sphere (scale = 0.1)
						
						
					</div>
					
					

						
						
						
						

					<hr />
				
					<a name=".sphereMesh"> </a>
					<div class="fixedFont">&lt;static&gt; &lt;constant&gt; 
					
					
					<span class="light">Cluster.</span><b>sphereMesh</b>
					
					</div>
					<div class="description">
						Name of the mesh for the sphere form (used to represent the
nodes and the processes) defined in the file load.xml
						
						
					</div>
					
					

						
						
						
						

					<hr />
				
					<a name=".sphereSize"> </a>
					<div class="fixedFont">&lt;static&gt; &lt;constant&gt; 
					
					
					<span class="light">Cluster.</span><b>sphereSize</b>
					
					</div>
					<div class="description">
						Size of a sphere when draw at a scale of 1
						
						
					</div>
					
					

						
						
						
						

					
				
			

<!-- ============================== method details ========================= -->		
			
				<div class="sectionTitle">
					Method Detail
				</div>
				
					<a name=".getNodeDescriptionFromId"> </a>
					<div class="fixedFont">&lt;static&gt; 
					
					
					<span class="light">Cluster.</span><b>getNodeDescriptionFromId</b>(id)
					
					</div>
					<div class="description">
						function that will print the description of a node or a process
						
						
					</div>
					
					
					
						
							<dl class="detailList">
							<dt class="heading">Parameters:</dt>
							
								<dt>
									<span class="light fixedFont">{Integer}</span> <b>id</b>
									
								</dt>
								<dd>Identifier of the node or of the process</dd>
							
							</dl>
						
						
						
						
						
						
						

					<hr />
				
					<a name=".Log"> </a>
					<div class="fixedFont">&lt;static&gt; 
					
					
					<span class="light">Cluster.</span><b>Log</b>(text)
					
					</div>
					<div class="description">
						function that log things you want to log
						
						
					</div>
					
					
					
						
							<dl class="detailList">
							<dt class="heading">Parameters:</dt>
							
								<dt>
									<span class="light fixedFont">{String}</span> <b>text</b>
									
								</dt>
								<dd>text to be displayed in the console</dd>
							
							</dl>
						
						
						
						
						
						
						

					<hr />
				
					<a name=".Print"> </a>
					<div class="fixedFont">&lt;static&gt; 
					
					
					<span class="light">Cluster.</span><b>Print</b>(title, text)
					
					</div>
					<div class="description">
						function that will print to screen a ttile and a text, usually used to
to display the caracteristics of a node
						
						
					</div>
					
					
					
						
							<dl class="detailList">
							<dt class="heading">Parameters:</dt>
							
								<dt>
									<span class="light fixedFont">{String}</span> <b>title</b>
									
								</dt>
								<dd>The tile to be displayed</dd>
							
								<dt>
									<span class="light fixedFont">{String}</span> <b>text</b>
									
								</dt>
								<dd>The text to be displayed</dd>
							
							</dl>
						
						
						
						
						
						
						

					<hr />
				
					<a name=".render"> </a>
					<div class="fixedFont">&lt;static&gt; 
					
					
					<span class="light">Cluster.</span><b>render</b>(start, now)
					
					</div>
					<div class="description">
						function called each time that the scene is redraw
						
						
					</div>
					
					
					
						
							<dl class="detailList">
							<dt class="heading">Parameters:</dt>
							
								<dt>
									<span class="light fixedFont">{Date}</span> <b>start</b>
									
								</dt>
								<dd>the begining of the animation</dd>
							
								<dt>
									<span class="light fixedFont">{Date}</span> <b>now</b>
									
								</dt>
								<dd>the date when this function is called</dd>
							
							</dl>
						
						
						
						
						
						
						
							<dl class="detailList">
							<dt class="heading">See:</dt>
							
								<dd><a href="../symbols/Cluster.Position.html#hasReached">Cluster.Position#hasReached</a></dd>
							
								<dd><a href="../symbols/Cluster.Position.html#setPosition">Cluster.Position#setPosition</a></dd>
							
							</dl>
						

					
				
			
			
<!-- ============================== event details ========================= -->		
			
			
			<hr />
		</div>

		
<!-- ============================== footer ================================= -->
		<div class="fineprint" style="clear:both">
			
			Documentation generated by <a href="http://code.google.com/p/jsdoc-toolkit/" target="_blank">JsDoc Toolkit</a> 2.3.2 on Tue Mar 23 2010 15:59:06 GMT+0100 (CET)
		</div>
	</body>
</html>
